.app__timeline {
    height: 30%;
    width: 7rem;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    top: 50%;
    transform: translateY(-50%);
    right: 0;
    color: white;
    position: fixed;
    animation: timeline-move 3.5s ease-in-out;
}

.timeline__list{
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: flex-start;
    position: relative;
}

.timeline__item{
    height: 100%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.timeline__label{
    height: auto;
    width: 6rem;
    display: flex;
    color: blue;
    font-size: 0.8rem;
    font-weight: 600;
    padding-left: 0.5rem;
    cursor: pointer;
}

.timeline__label:hover{
    color: rgb(0, 0, 114);
}

.timeline__label--no-action{
    color: rgb(70, 70, 70);
    cursor: default;
}

.timeline__label--no-action:hover{
    color: rgb(70, 70, 70);
}


.timeline__dot{
    height: 1rem;
    width: 1rem;
    border-radius: 50%;
    cursor: pointer;
    z-index: 1;
    background-color: white;
    border: 2px solid blue;
}

.timeline__dot--task:hover{
    background-color: rgb(170, 209, 248);
}

.timeline__dot--context:hover{
    background-color: rgb(137, 204, 145);
}

.timeline__dot--references:hover{
    background-color: rgb(252, 238, 177);
}

.timeline__dot--output:hover{
    background-color: rgb(207, 157, 255);
}

.timeline__dot--no-action{
    background-color: rgb(184, 184, 184);
    border: 2px solid rgb(70, 70, 70);
    cursor: default;
}

.timeline__line{
    height: 85%;
    align-self: flex-start;
    width: 1px;
    top: 50%;
    transform: translateY(-50%);
    left: 6px;
    background-color: blue;
    position: absolute;
    z-index: -1;
    border: 2px solid blue;
}

/* smartphone */
@media screen and (max-width: 767px){

    .app__timeline {
        display: none;
    }
    
}

/* tablet */
@media screen and (max-width: 1150px){

    .app__timeline {
        display: none;
    }

}

@keyframes timeline-move{
  from {opacity: 0;}
  to {opacity: 1;}
}